> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Skill

> Download a skill package. Free skills are public. Paid require purchase.



## OpenAPI

````yaml /openapi.json get /v1/skills/{slug}/download
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/skills/{slug}/download:
    get:
      tags:
        - skills
      summary: Download Skill
      description: Download a skill package. Free skills are public. Paid require purchase.
      operationId: download_skill_v1_skills__slug__download_get
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
            title: Slug
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillDownloadResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SkillDownloadResponse:
      properties:
        url:
          type: string
          title: Url
        slug:
          type: string
          title: Slug
        license_code:
          anyOf:
            - type: string
            - type: 'null'
          title: License Code
      type: object
      required:
        - url
        - slug
      title: SkillDownloadResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````